<template>
  <div>
    <div v-for="activity in app_activities" v-bind:key="activity.id" class="app-activity">
      <div class="header">
        <h4>{{ name(activity.activity_name) }}</h4>
        <div class="total">{{activity.count}}</div>
      </div>
      <transition appear>
        <el-progress :text-inside="true" :stroke-width="35" :percentage="activity.count"></el-progress>
      </transition>
    </div>
</div>
</template>

<script>
export default {
  name: 'DetailAppActivity',
  computed: {
    app_activities: {
      get: function() {
        return this.$store.state.farmer.detail.app_activities;
      }
    }
  },
  methods: {
    name(value) {
      switch (value) {
        case 'pn_open':
          return 'Membaca Rekomendasi'
        case 'article_read':
          return 'Membaca Artikel'
        case 'article_accessed':
          return 'Membuka Artikel'
        case 'article_shared':
          return 'Membagikan Artikel'
        case 'forum_commented':
          return 'Berkomentar di Forum'
        case 'forum_created':
          return 'Memulai Forum'
        case 'forum_accessed':
          return 'Membuka Forum'
        default:
          return '-'
      }
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss">
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  .app-activity {
    margin: 0 0 20px 0;

    h4 {
      @include ritx-bold;
      font-size: 18px;
      display: inline-block;
    }
    .total {
      @include ritx-normal-font;
      color: $ritx-lime-green-4;
      display: inline-block;
    }
    .header {
      display: flex;
      justify-content: space-between;
      margin-bottom: 5px;
    }
  }
</style>
